## org.apache.batik.gvt.font
Class AWTGlyphGeometryCache.Value

    java.lang.Object
      org.apache.batik.gvt.font.AWTGlyphGeometryCache.Value

Enclosing class:
  AWTGlyphGeometryCache

public static class AWTGlyphGeometryCache.Value
extends java.lang.Object

The object that holds glyph geometry.

Field Summary
`protected java.awt.geom.Rectangle2D` `gmB`
`protected java.awt.Shape` `outline`
`protected java.awt.geom.Rectangle2D` `outlineBounds`

Constructor Summary
`AWTGlyphGeometryCache.Value(java.awt.Shape outline, java.awt.geom.Rectangle2D gmB)` Constructs a new Value with the specified parameter.

Method Summary
`java.awt.geom.Rectangle2D` `getBounds2D()` Returns the bounds of the glyph according to its glyph metrics.
`java.awt.Shape` `getOutline()` Returns the outline of the glyph.
`java.awt.geom.Rectangle2D` `getOutlineBounds2D()` Returns the bounds of the outline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outline

    protected java.awt.Shape outline

### gmB

    protected java.awt.geom.Rectangle2D gmB

### outlineBounds

    protected java.awt.geom.Rectangle2D outlineBounds

Constructor Detail

### AWTGlyphGeometryCache.Value

    public AWTGlyphGeometryCache.Value(java.awt.Shape outline,
                                       java.awt.geom.Rectangle2D gmB)

  Constructs a new Value with the specified parameter.

Method Detail

### getOutline

    public java.awt.Shape getOutline()

  Returns the outline of the glyph.

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Returns the bounds of the glyph according to its glyph metrics.

### getOutlineBounds2D

    public java.awt.geom.Rectangle2D getOutlineBounds2D()

  Returns the bounds of the outline.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.